000010 @OPTIONS NOALPHA
000020 @OPTIONS MAIN
000030
000040 *>
000050 *>
000060 *>  Source Module: DRIVER.CBL
000070 *>
000080 *>  Last Modified: June 3, 1998
000090 *>
000100 *>  Author:  MDM
000110 *>
000120 *>  Must be linked with SEE32.LIB
000130 *>
000140 *> IMPORTANT:  Replace "smtp_host_name", "your_email_address", and
000150 *>    "receipient's_email_address", with appropriate strings before compiling.
000160 *>    See SEE4CB_U.TXT.
000170
000180 IDENTIFICATION DIVISION.
000190 PROGRAM-ID.    DRIVER.
000200 AUTHOR.        Mike Marshall.
000210 INSTALLATION.  Fujitsu COBOL.
000220 
000230 ENVIRONMENT DIVISION.
000240 CONFIGURATION SECTION.
000250 SOURCE-COMPUTER. Fujitsu.
000260 OBJECT-COMPUTER. Fujitsu.
000270
000280 DATA DIVISION.
000290 WORKING-STORAGE SECTION.
000300  01  AUTO_CALL    PIC 9(9) COMP-5 VALUE 9.
000310  01  IS_ZERO      PIC 9(9) COMP-5 VALUE 0.
000320  01  IS_ONE       PIC 9(9) COMP-5 VALUE 1.
000330  01  BUFFER       PIC X(80).
000340  01  BUF-LEN      PIC 9(9) COMP-5 VALUE 80.
000350  01  SEE-CODE     PIC S9(9) COMP-5 VALUE 0.
000360  01  SMTP_SERVER.
000370      05  FILLER PIC X(14) VALUE "smtp_host_name".
000380      05  FILLER PIC X VALUE X'00'.
000390  01  EMAIL_TO.
000400      05  FILLER PIC X(26) VALUE "receipient's_email_address".
000410      05  FILLER PIC X VALUE X'00'.
000420  01  EMAIL_FROM.
000430      05  FILLER PIC X(18) VALUE "your_email_address".
000440      05  FILLER PIC X VALUE X'00'.
000450  01  EMAIL_SUBJ.
000460      05  FILLER PIC X(12) VALUE "Fujitsu Test".
000470      05  FILLER PIC X VALUE X'00'.    
000480  01  EMAIL_MSG.
000490      05  FILLER PIC X(11) VALUE "DRIVER test".
000500      05  FILLER PIC X VALUE X'00'.      
000510  01  RESULT.
000520      05  FILLER PIC X(40).
000530      05  FILLER PIC X VALUE X'00'.
000540  01  COUNTER    PIC 9(9) COMP-5 VALUE 0.
000550
000560 PROCEDURE DIVISION.
000570 
000580      DISPLAY "DRIVER.CBL Program"
000590      DISPLAY " " 
000600
000610      *> connect to SMTP server
000620      DISPLAY "Calling seeConnectTo()..."
000630      CALL "seeConnectTo" WITH STDCALL USING
000640           BY REFERENCE SMTP_SERVER   *> SMTP server name
000650           BY REFERENCE EMAIL_FROM    *> sender's email address
000660           BY REFERENCE IS_ZERO       *> no Reply-To header
000670      END-CALL.
000680
000690      *> check result
000700      IF PROGRAM-STATUS < 0 THEN
000710        DISPLAY "Cannot connect to SMTP server"
000720        MOVE PROGRAM-STATUS TO SEE-CODE
000730        GO TO ERROR-EXIT
000740      END-IF.
000750 
000760      *> turn OFF automatic calls to driver for seeSendEmail
000770      CALL "seeIntegerParam" WITH STDCALL USING
000780           BY VALUE     AUTO_CALL   *> Command   
000790           BY VALUE     IS_ZERO     *> off
000800      END-CALL.
000810
000820      *> set up to send email
000830      DISPLAY "Calling seeSendEmail()..."
000840      CALL "seeSendEmail" WITH STDCALL USING
000850           BY REFERENCE EMAIL_TO      *> receipient
000860           BY REFERENCE IS_ZERO       *> no CC list
000870           BY REFERENCE IS_ZERO       *> no BCC list
000880           BY REFERENCE EMAIL_SUBJ    *> email subject
000890           BY REFERENCE EMAIL_MSG     *> text of message
000900           BY REFERENCE IS_ZERO       *> no attachment
000910      END-CALL.
000920
000930      *> check result of call to seeSendEmail
000940      IF PROGRAM-STATUS < 0 THEN
000950        DISPLAY "Cannot send email"
000960        MOVE PROGRAM-STATUS TO SEE-CODE
000970        GO TO ERROR-EXIT
000980      END-IF.   
000990        
001000      *> call driver
001010
001020  DRIVER-LOOP.      
001030 
001040      CALL "seeDriver" WITH STDCALL
001050      END-CALL.
001060
001070      *> check results
001080      MOVE PROGRAM-STATUS TO SEE-CODE
001090      IF SEE-CODE < 0 THEN
001100        DISPLAY "Error returned from seeDriver"       
001110        GO TO ERROR-EXIT
001120      END-IF.   
001130
001140      IF SEE-CODE > 0 THEN
001150        *> don't count wait states (9999)
001160        IF SEE-CODE NOT EQUAL 9999 THEN
001170          *> print dot every 10th call
001180          ADD 1 TO COUNTER
001190          IF COUNTER = 10 THEN
001200            DISPLAY "." WITH NO ADVANCING
001210            MOVE IS_ZERO TO COUNTER
001220          END-IF
001230        END-IF
001240        GO TO DRIVER-LOOP
001250      END-IF. 
001260
001270      *> SEE-CODE was 0
001280      DISPLAY "Email sent." 
001290
001300      *> turn ON automatic calls to driver
001310      CALL "seeIntegerParam" WITH STDCALL USING
001320           BY VALUE     AUTO_CALL   *> Command   
001330           BY VALUE     IS_ONE      *> off
001340      END-CALL.
001350
001360      *> close SEE
001370      DISPLAY "Calling seeClose()..."
001380      CALL "seeClose" WITH STDCALL
001390      END-CALL
001400      
001410      DISPLAY "All done."
001420      STOP RUN.
001430        
001440  ERROR-EXIT.
001450
001460      DISPLAY "SEE4CB Error " SEE-CODE
001470      CALL "seeErrorText" WITH STDCALL USING 
001480         BY VALUE     SEE-CODE
001490         BY REFERENCE BUFFER
001500         BY VALUE     BUF-LEN
001510      END-CALL
001520      DISPLAY BUFFER
001530      STOP RUN.
001540
001550 END PROGRAM DRIVER.
001560 
001570