000010 @OPTIONS NOALPHA
000020 @OPTIONS MAIN
000030
000040 *>
000050 *>
000060 *>  Source Module: MAILER.CBL
000070 *>
000080 *>  Last Modified: June 3, 1998
000090 *>
000100 *>  Author:  MDM
000110 *>
000120 *>  Must be linked with SEE32.LIB
000130 *>
000140 *> IMPORTANT:  Replace "smtp_host_name", "your_email_address", and
000150 *>    "receipient's_email_address", with appropriate strings before compiling.
000160 *>    See SEE4CB_U.TXT.
000170 *>
000180
000190 IDENTIFICATION DIVISION.
000200 PROGRAM-ID.    MAILER.
000210 AUTHOR.        Mike Marshall.
000220 INSTALLATION.  Fujitsu COBOL.
000230 
000240 ENVIRONMENT DIVISION.
000250 CONFIGURATION SECTION.
000260 SOURCE-COMPUTER. Fujitsu.
000270 OBJECT-COMPUTER. Fujitsu.
000280
000290 DATA DIVISION.
000300 
000310 WORKING-STORAGE SECTION.
000320
000330  01  IS_ZERO      PIC 9(9) COMP-5 VALUE 0.
000340  01  BUFFER       PIC X(80).
000350  01  BUF-LEN      PIC 9(9) COMP-5 VALUE 80.
000360  01  SEE-CODE     PIC S9(9) COMP-5 VALUE 0.
000370  01  SMTP_SERVER.
000380      05  FILLER PIC X(14) VALUE "smtp_host_name".
000390      05  FILLER PIC X VALUE X'00'.
000400  01  EMAIL_TO.
000410      05  FILLER PIC X(26) VALUE "receipient's_email_address".
000420      05  FILLER PIC X VALUE X'00'.
000430  01  EMAIL_FROM.
000440      05  FILLER PIC X(18) VALUE "your_email_address".
000450      05  FILLER PIC X VALUE X'00'.
000460  01  EMAIL_SUBJ.
000470      05  FILLER PIC X(12) VALUE "Fujitsu Test".
000480      05  FILLER PIC X VALUE X'00'.    
000490  01  EMAIL_MSG.
000500      05  FILLER PIC X(44) VALUE "This message was emailed from Fujitsu COBOL!".
000510      05  FILLER PIC X VALUE X'00'.      
000520  01  RESULT.
000530      05  FILLER PIC X(40).
000540      05  FILLER PIC X VALUE X'00'.
000550
000560 PROCEDURE DIVISION.
000570 
000580      DISPLAY "MAILER.CBL Program"
000590      DISPLAY " "
000600 
000610      *> connect to SMTP server
000620      DISPLAY "Calling seeConnectTo()..."
000630      CALL "seeConnectTo" WITH STDCALL USING
000640           BY REFERENCE SMTP_SERVER   *> SMTP server name
000650           BY REFERENCE EMAIL_FROM    *> sender's email address
000660           BY REFERENCE IS_ZERO       *> no Reply-To header
000670      END-CALL.
000680
000690      *> check result
000700      IF PROGRAM-STATUS < 0 THEN
000710        DISPLAY "Cannot connect to SMTP server"
000720        MOVE PROGRAM-STATUS TO SEE-CODE
000730        GO TO ERROR-EXIT
000740      END-IF.
000750 
000760      *> send email
000770      DISPLAY "Calling seeSendEmail()..."
000780      CALL "seeSendEmail" WITH STDCALL USING
000790           BY REFERENCE EMAIL_TO      *> receipient
000800           BY REFERENCE IS_ZERO       *> no CC list
000810           BY REFERENCE IS_ZERO       *> no BCC list
000820           BY REFERENCE EMAIL_SUBJ    *> email subject
000830           BY REFERENCE EMAIL_MSG     *> text of message
000840           BY REFERENCE IS_ZERO       *> no attachment
000850      END-CALL.
000860
000870      *> check result
000880      IF PROGRAM-STATUS < 0 THEN
000890        DISPLAY "Cannot send email"
000900        MOVE PROGRAM-STATUS TO SEE-CODE
000910        GO TO ERROR-EXIT
000920      END-IF.   
000930    
000940      *> close SEE
000950      DISPLAY "Calling seeClose()..."
000960      CALL "seeClose" WITH STDCALL
000970      END-CALL
000980      
000990      DISPLAY "All done."
001000      STOP RUN.
001010        
001020  ERROR-EXIT.
001030
001040      DISPLAY "SEE4CB Error " SEE-CODE
001050      CALL "seeErrorText" WITH STDCALL USING 
001060         BY VALUE     SEE-CODE
001070         BY REFERENCE BUFFER
001080         BY VALUE     BUF-LEN
001090      END-CALL
001100      DISPLAY BUFFER
001110      STOP RUN.
001120
001130 END PROGRAM MAILER.
001140 
001150