000010 @OPTIONS NOALPHA
000020 @OPTIONS MAIN
000030
000040 *>
000050 *>
000060 *>  Source Module: MULTI.CBL
000070 *>
000080 *>  Last Modified: June 7, 1998
000090 *>
000100 *>  Author:  MDM
000110 *>
000120 *>  Must be linked with SEE32.LIB
000130 *>
000140 *>  IMPORTANT: Replace "smtp_host_name", "your_email_address", "first_email_address",  
000150 *>      and "second_email_address", with appropriate strings before compiling. 
000160 *>      See SEE4CB_U.TXT.
000170 *>
000180
000190 IDENTIFICATION DIVISION.
000200 PROGRAM-ID.    MULTI.
000210 AUTHOR.        Mike Marshall.
000220 INSTALLATION.  Fujitsu COBOL.
000230 
000240 ENVIRONMENT DIVISION.
000250 CONFIGURATION SECTION.
000260 SOURCE-COMPUTER. Fujitsu.
000270 OBJECT-COMPUTER. Fujitsu.
000280
000290 DATA DIVISION.
000300 WORKING-STORAGE SECTION.
000310  01  IS_ZERO      PIC 9(9) COMP-5 VALUE 0.
000320  01  BUFFER       PIC X(80).
000330  01  BUF-LEN      PIC 9(9) COMP-5 VALUE 80.
000340  01  SEE-CODE     PIC S9(9) COMP-5 VALUE 0.
000350  01  SEE-LOG-FILE PIC 9(9) COMP-5 VALUE 20.     
000360  01  LOG-FILE-NAME.
000370      05  FILLER PIC X(9) VALUE "multi.log".
000380      05  FILLER PIC X VALUE X'00'.
000390  01  SMTP_SERVER.
000400      05  FILLER PIC X(14) VALUE "smtp_host_name".
000410      05  FILLER PIC X VALUE X'00'.
000420  01  FIRST_EMAIL_TO.
000430      05  FILLER PIC X(19) VALUE "first_email_address".
000440      05  FILLER PIC X VALUE X'00'.
000450  01  SECOND_EMAIL_TO.
000460      05  FILLER PIC X(20) VALUE "second_email_address".
000470      05  FILLER PIC X VALUE X'00'.
000480  01  EMAIL_FROM.
000490      05  FILLER PIC X(18) VALUE "your_email_address".
000500      05  FILLER PIC X VALUE X'00'.
000510  01  FIRST_EMAIL_SUBJ.
000520      05  FILLER PIC X(22) VALUE "MULTI Example Program".
000530      05  FILLER PIC X VALUE X'00'.  
000540  01  SECOND_EMAIL_SUBJ.
000550      05  FILLER PIC X(22) VALUE "MULTI Example Program".
000560      05  FILLER PIC X VALUE X'00'.
000570  01  FIRST_EMAIL_MSG.
000580      05  FILLER PIC X(24) VALUE "Hello from MULTI.CBL !!!".
000590      05  FILLER PIC X VALUE X'0D'.
000600      05  FILLER PIC X VALUE X'0A'.
000610      05  FILLER PIC X(18) VALUE "-- By MarshallSoft".
000620      05  FILLER PIC X VALUE X'00'.  
000630  01  SECOND_EMAIL_MSG.
000640      05  FILLER PIC X(9) VALUE "@test.mai".
000650      05  FILLER PIC X VALUE X'00'. 
000660  01  ATTACH_FILE.
000670      05  FILLER PIC X(9) VALUE "test.zip".
000680      05  FILLER PIC X VALUE X'00'.
000690
000700 PROCEDURE DIVISION.
000710 
000720      DISPLAY "MULTI.CBL Program"
000730      DISPLAY " "
000740 
000750      *> define diagnostics log file
000760      CALL "seeStringParam" WITH STDCALL USING
000770           BY VALUE     SEE-LOG-FILE   *> Command   
000780           BY REFERENCE LOG-FILE-NAME  *> Log filename
000790      END-CALL.
000800
000810      *> connect to SMTP server
000820      DISPLAY "Calling seeConnectTo()..."
000830      CALL "seeConnectTo" WITH STDCALL USING
000840           BY REFERENCE SMTP_SERVER   *> SMTP server name
000850           BY REFERENCE EMAIL_FROM    *> sender's email address
000860           BY REFERENCE IS_ZERO       *> no Reply-To header
000870      END-CALL.
000880
000890      *> check result
000900      IF PROGRAM-STATUS < 0 THEN
000910        DISPLAY "Cannot connect to SMTP server"
000920        MOVE PROGRAM-STATUS TO SEE-CODE
000930        GO TO ERROR-EXIT
000940      END-IF.
000950 
000960      *> send 1st email
000970      DISPLAY "Calling 1st seeSendEmail()..."
000980      CALL "seeSendEmail" WITH STDCALL USING
000990           BY REFERENCE FIRST_EMAIL_TO    *> receipient
001000           BY REFERENCE IS_ZERO           *> no CC list
001010           BY REFERENCE IS_ZERO           *> no BCC list
001020           BY REFERENCE FIRST_EMAIL_SUBJ  *> email subject
001030           BY REFERENCE FIRST_EMAIL_MSG   *> text of message
001040           BY REFERENCE IS_ZERO           *> no attachment
001050      END-CALL.
001060
001070      *> check result
001080      IF PROGRAM-STATUS < 0 THEN
001090        DISPLAY "Cannot send 1st email"
001100        MOVE PROGRAM-STATUS TO SEE-CODE
001110        GO TO ERROR-EXIT
001120      END-IF.   
001130  
001140      *> send 2nd email
001150      DISPLAY "Calling 2nd seeSendEmail()..."
001160      CALL "seeSendEmail" WITH STDCALL USING
001170           BY REFERENCE SECOND_EMAIL_TO   *> receipient
001180           BY REFERENCE IS_ZERO           *> no CC list
001190           BY REFERENCE IS_ZERO           *> no BCC list
001200           BY REFERENCE SECOND_EMAIL_SUBJ *> email subject
001210           BY REFERENCE SECOND_EMAIL_MSG  *> text of message
001220           BY REFERENCE ATTACH_FILE       *> no attachment
001230      END-CALL.
001240
001250      *> check result
001260      IF PROGRAM-STATUS < 0 THEN
001270        DISPLAY "Cannot send 2nd email"
001280        MOVE PROGRAM-STATUS TO SEE-CODE
001290        GO TO ERROR-EXIT
001300      END-IF.   
001310 
001320
001330      *> close SEE
001340      DISPLAY "Calling seeClose()..."
001350      CALL "seeClose" WITH STDCALL
001360      END-CALL
001370      
001380      DISPLAY "All done."
001390      STOP RUN.
001400        
001410  ERROR-EXIT.
001420
001430      DISPLAY "SEE4CB Error " SEE-CODE
001440      CALL "seeErrorText" WITH STDCALL USING 
001450         BY VALUE     SEE-CODE
001460         BY REFERENCE BUFFER
001470         BY VALUE     BUF-LEN
001480      END-CALL
001490      DISPLAY BUFFER
001500      STOP RUN.
001510
001520 END PROGRAM MULTI.
001530 
001540
